<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="Configure.aspx.cs" Inherits="Configure" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

<div style="width: 500px">

    <asp:Panel ID="pnlGlobalization" runat="server" Width="500px" GroupingText="<%$ Resources:WIRM, GlobalizationOptions %>">
    <table border="0">
        <tr>
            <td align="right">
                <asp:Label ID="lblLanguage" runat="server" Text="<%$ Resources:WIRM, Language %>"></asp:Label>:</td>
            <td>
                <asp:DropDownList ID="ddlLanguage" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlLanguage_SelectedIndexChanged">
                    <asp:ListItem Value="en-US">English (US)</asp:ListItem>
                    <asp:ListItem Value="de-DE">Deutsch</asp:ListItem>
                    <asp:ListItem Value="nl-NL">Dutch</asp:ListItem>
                    <asp:ListItem Value="fr-FR">French</asp:ListItem>
                    <asp:ListItem Value="it-IT">Italian</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td align="right"><asp:Label ID="lblUTCOffsetOverride" runat="server" Text="<%$ Resources:WIRM, UTCOffsetOverride %>"></asp:Label>:</td>
            <td><asp:TextBox ID="tbUTCOffset" runat="server"></asp:TextBox>
                <asp:HyperLink ID="hlUTCOffsetHelp" NavigateUrl="~/help/UTCOffset.aspx" runat="server" ImageUrl="~/images/question.gif" Target="_blank"></asp:HyperLink>
                <asp:Label ID="lblOptional" runat="server" Text="<%$ Resources:WIRM, Optional %>"></asp:Label>
            </td>
        </tr>
    </table>
    </asp:Panel>
    
    <br /><br />
    
    <asp:Panel ID="pnlDB" runat="server" Width="500px" GroupingText="<%$ Resources:WIRM, DatabaseConnectivity %>">
        
        <table border="0">
            <tr>
                <td align="right">
                <asp:Label ID="lblDBServerType" runat="server" Text="<%$ Resources:WIRM, DatabaseServerType %>"></asp:Label>:</td>
                <td>
                    <asp:DropDownList ID="ddlDBServerType" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlDBServerType_SelectedIndexChanged">
                        <asp:ListItem Value="System.Data.SqlClient">Microsoft SQL Server</asp:ListItem>
                        <asp:ListItem Value="System.Data.OracleClient">Oracle</asp:ListItem>
                    </asp:DropDownList></td>
            </tr>
            <tr>
                <td align="right"><asp:Label ID="lblDBServer" runat="server" Text="<%$ Resources:WIRM, DatabaseServer %>"></asp:Label>:</td>
                <td><asp:TextBox ID="tbDBServerName" runat="server" Width="200px"></asp:TextBox></td>
            </tr>
            <tr>
                <td align="right">
                <asp:Label ID="lblDBName" runat="server" Text="<%$ Resources:WIRM, DatabaseName %>"></asp:Label>
                    </td>
                <td>
                    <asp:TextBox ID="tbDBName" runat="server" Width="200px"></asp:TextBox></td>
            </tr>
            <tr>
                <td colspan="2">
                    <br />
                    <asp:RadioButtonList ID="rblAuth" runat="server" AutoPostBack="True" OnSelectedIndexChanged="rblAuth_SelectedIndexChanged" RepeatLayout="Flow">
                        <asp:ListItem Value="IntegratedAuth" Selected="True" Text="<%$ Resources:WIRM, UseWindowsAuthentication %>" />
                        <asp:ListItem Value="SQLAuth" Text="<%$ Resources:WIRM, UseSQLServerAuthentication %>" />
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="lblUsername" runat="server" Enabled="False" Text="<%$ Resources:WIRM, UserName %>"></asp:Label>:</td>
                <td>
                    <asp:TextBox ID="tbUsername" runat="server" Enabled="False" Width="200px"></asp:TextBox></td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="lblPassword" runat="server" Enabled="False" Text="<%$ Resources:WIRM, Password %>"></asp:Label>:</td>
                <td>
                    <asp:TextBox ID="tbPassword" runat="server" Enabled="False" Width="200px"></asp:TextBox></td>
            </tr>
        </table>

    </asp:Panel>
    <br /><br />
    
    <asp:Panel ID="pnlAdmin" runat="server" Width="500px" GroupingText="<%$ Resources:WIRM, AdminGroup %>">
    
    <asp:TextBox ID="tbAdminGroup" runat="server" Width="300px"></asp:TextBox>
    <asp:HyperLink ID="hlAdminGroupHelp" NavigateUrl="~/help/AdminGroup.aspx" runat="server" ImageUrl="~/images/question.gif" Target="_blank"></asp:HyperLink>
    <asp:Label ID="lblOptional2" runat="server" Text="<%$ Resources:WIRM, Optional %>"></asp:Label>
    </asp:Panel>
    <br />
    <asp:Button ID="btnTest" runat="server" CssClass="btnStyle" Text="<%$ Resources:WIRM, TestConnection %>" OnClick="btnTest_Click" />

    <asp:Button ID="btnSubmit" runat="server" CssClass="btnStyle" Text="<%$ Resources:WIRM, SaveConfiguration %>" OnClick="btnSubmit_Click" />
    <br />
    <br />
    <asp:Label ID="lblSQLTest" runat="server"></asp:Label><br />
    <br />
</div>

</asp:Content>

