<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="clientsByClientName.aspx.cs" Inherits="clientsByUser" StylesheetTheme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="lblClient" runat="server"></asp:Label><br />
    <asp:GridView ID="gvClientsByUser" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" DataSourceID="sqlClientsByUser" OnRowDataBound="gvClientsByUser_RowDataBound"
        PageSize="25">
        <Columns>
            <asp:BoundField DataField="CLIENTNAME" HeaderText="<%$ Resources:WIRM, ClientName %>" SortExpression="CLIENTNAME" />
            <asp:BoundField DataField="LAST_USED" HeaderText="<%$ Resources:WIRM, LastUsed %>" ReadOnly="True" SortExpression="LAST_USED" />
            <asp:BoundField DataField="SESSIONID" />
            <asp:TemplateField>
                <HeaderTemplate>
                    <asp:LinkButton ID="lbExcelExport" runat="server" OnClick="lbExcelExport_Click"><asp:Image ID="Image1" runat="server" ImageUrl="~/images/excel.gif" AlternateText="<%$ Resources:WIRM, ExporttoExcel %>" /></asp:LinkButton>
                </HeaderTemplate>
                <HeaderStyle HorizontalAlign="Right" />
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="sqlClientsByUser" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>" />
</asp:Content>

