<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="UserReport.aspx.cs" Inherits="userreport" StylesheetTheme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

    <asp:Panel ID="pnlSearch" runat="server" DefaultButton="btnSearch">
        <asp:Label ID="lblSearchByUsername" runat="server" Text="<%$ Resources:WIRM, SearchByUsername %>"></asp:Label>:
        <asp:TextBox ID="tbUsername" runat="server"></asp:TextBox>
        <asp:Button ID="btnSearch" runat="server" CssClass="btnStyle" Text="<%$ Resources:WIRM, Search %>" OnClick="btnSearch_Click" />&nbsp;<asp:Button ID="btnReset" runat="server" CssClass="btnStyle"
                OnClick="btnReset_Click" Text="<%$ Resources:WIRM, Reset %>" /></asp:Panel>
    <asp:GridView ID="gvUsers" runat="server" DataSourceID="sqlUsers" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" PageSize="25" OnRowDataBound="gvUsers_RowDataBound" DataKeyNames="PK_USERID">
        <Columns>
            <asp:BoundField DataField="NETDOMAIN" HeaderText="<%$ Resources:WIRM, Domain %>" SortExpression="NETDOMAIN" />
            <asp:BoundField DataField="USERNAME" HeaderText="<%$ Resources:WIRM, UserName %>" SortExpression="USERNAME" />
            <asp:BoundField DataField="sessionstart" HeaderText="<%$ Resources:WIRM, LastLogin %>" SortExpression="sessionstart" />
            <asp:TemplateField>
                <HeaderTemplate>
                    <asp:LinkButton ID="lbExcelExport" runat="server" OnClick="lbExcelExport_Click"><asp:Image ID="Image1" runat="server" ImageUrl="~/images/excel.gif" AlternateText="<%$ Resources:WIRM, ExporttoExcel %>" /></asp:LinkButton>
                </HeaderTemplate>
                <HeaderStyle HorizontalAlign="Right" />
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="sqlUsers" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>" CancelSelectOnNullParameter="False" />
</asp:Content>

