<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="clientReport.aspx.cs" Inherits="clientReport" StylesheetTheme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    
    <center>
    <asp:Label ID="lblTop" runat="server" Text="<%$ Resources:WIRM, Top %>"></asp:Label>
        <asp:DropDownList ID="ddlTop" runat="server" AutoPostBack="True">
            <asp:ListItem>1</asp:ListItem>
            <asp:ListItem>2</asp:ListItem>
            <asp:ListItem>3</asp:ListItem>
            <asp:ListItem>4</asp:ListItem>
            <asp:ListItem Selected="True">5</asp:ListItem>
            <asp:ListItem>6</asp:ListItem>
            <asp:ListItem>7</asp:ListItem>
            <asp:ListItem>8</asp:ListItem>
            <asp:ListItem>9</asp:ListItem>
            <asp:ListItem>10</asp:ListItem>
        </asp:DropDownList>
    <asp:Label ID="lblClients" runat="server" Text="<%$ Resources:WIRM, Clients %>"></asp:Label>
    <br />
    <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="565" height="420" id="FC2Column" align="middle">
            <param name="movie" value="Charts/<%= ddlChartType.SelectedValue %>?dataXML=<%= getChartData() %>" />
            <param name="quality" value="high" />
            <param name="bgcolor" value="#FFFFFF" />
            <embed src="Charts/<%= ddlChartType.SelectedValue %>?dataXML=<%= getChartData()  %>" quality="high" bgcolor="#FFFFFF"  width="565" height="420" name="FC2Column" align="middle" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer">
            </embed> 
    </object>
    </center>
    
    <asp:ValidationSummary ID="ValidationSummary1" runat="server" DisplayMode="List" />
    <table width="100%" border="0">
        <tr>
            <td>
                <fieldset style="height: 41px;">
                    <legend><asp:Image ID="imgFilter" runat="server" ImageUrl="~/images/filter2.gif" />
                        <asp:Label ID="lblFilter" runat="server" Text="<%$ Resources:WIRM, FilterbyDateRange %>"></asp:Label></legend>
                    <asp:Label ID="lblFrom" runat="server" Text="<%$ Resources:WIRM, From %>"></asp:Label>
                        <asp:TextBox ID="tbFrom" runat="server" CssClass="tbSmall"></asp:TextBox>
                        <asp:Image ID="imgFrom" runat="server" CssClass="bdpButton" ImageUrl="~/images/calendar/button.gif" />&nbsp;
                    <asp:Label ID="lblTo" runat="server" Text="<%$ Resources:WIRM, To %>"></asp:Label>
                        <asp:TextBox ID="tbTo" runat="server" CssClass="tbSmall"></asp:TextBox>
                        <asp:Image ID="imgTo" runat="server" CssClass="bdpButton" ImageUrl="~/images/calendar/button.gif" />&nbsp;
                    <asp:Button ID="btnClientFilter" runat="server" CssClass="btnChartType" Text="<%$ Resources:WIRM, Submit %>" OnClick="btnClientFilter_Click" />
                </fieldset>
            </td>
            <td>
            <fieldset  style="height: 41px;">
                <legend><asp:Image ID="imgGraph" runat="server" ImageUrl="~/images/pieGraphIcon.gif" />
                <asp:Label ID="lblChartType" runat="server" Text="<%$ Resources:WIRM, ChartType %>"></asp:Label>
                </legend>
                <asp:DropDownList ID="ddlChartType" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlChartType_SelectedIndexChanged">
                </asp:DropDownList>
            </fieldset>
            </td>
        </tr>
    </table>
    
    <script type="text/javascript" language="javascript">
					
    var _oldColor;
        
    function SetNewColor(source)
    {
        _oldColor = source.style.backgroundColor;
        source.style.backgroundColor = '#cccccc';
    }

    function SetOldColor(source)
    {
        source.style.backgroundColor = _oldColor;
    }

    </script>
    
    <asp:GridView ID="gvClients" runat="server" AutoGenerateColumns="False" AllowSorting="True" OnRowDataBound="gvClients_RowDataBound" OnSorting="gvClients_Sorting">
        <Columns>
            <asp:BoundField DataField="CLIENT_NAME" HeaderText="<%$ Resources:WIRM, ClientType %>" SortExpression="CLIENT_NAME" />
            <asp:BoundField DataField="VERSION" HeaderText="<%$ Resources:WIRM, Version %>" SortExpression="VERSION" />
            <asp:BoundField DataField="BUILD" HeaderText="<%$ Resources:WIRM, Build %>" SortExpression="BUILD" />
            <asp:BoundField DataField="FREQ" HeaderText="<%$ Resources:WIRM, Frequency %>" SortExpression="FREQ" />
            <asp:TemplateField ShowHeader="False">
                <ItemTemplate>
                    <asp:ImageButton ID="btnPerson" runat="server" CausesValidation="false" CommandName=""
                        ImageUrl="~/images/person.gif" /> &nbsp
                    <asp:ImageButton ID="btnWS" runat="server" CausesValidation="false" CommandName=""
                        ImageUrl="~/images/computer.gif" ImageAlign="absBottom" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="FK_CLIENTTYPEID" SortExpression="FK_CLIENTTYPEID" />
            <asp:TemplateField>
                <HeaderTemplate>
                    <asp:LinkButton ID="lbExcelExport" runat="server" OnClick="lbExcelExport_Click"><asp:Image ID="Image1" runat="server" ImageUrl="~/images/excel.gif" AlternateText="<%$ Resources:WIRM, ExporttoExcel %>" /></asp:LinkButton>
                </HeaderTemplate>
                <HeaderStyle HorizontalAlign="Right" />
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    
    <asp:RequiredFieldValidator ID="rfvFrom" runat="server" ControlToValidate="tbFrom" ErrorMessage="<%$ Resources:WIRM, FromDateRequired %>" SetFocusOnError="True">&nbsp;</asp:RequiredFieldValidator>
    <asp:RequiredFieldValidator ID="rfvTo" runat="server" ControlToValidate="tbTo" ErrorMessage="<%$ Resources:WIRM, ToDateRequired %>" SetFocusOnError="True">&nbsp;</asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cvFromDate" runat="server" ControlToValidate="tbFrom" ErrorMessage="<%$ Resources:WIRM, FromDateInvalid %>" OnServerValidate="cvFromDate_ServerValidate" SetFocusOnError="True">&nbsp;</asp:CustomValidator>
    <asp:CustomValidator ID="cvToDate" runat="server" ControlToValidate="tbTo" ErrorMessage="<%$ Resources:WIRM, ToDateInvalid %>" OnServerValidate="cvToDate_ServerValidate" SetFocusOnError="True">&nbsp;</asp:CustomValidator>
    <asp:CustomValidator ID="cvDateCompare" runat="server" ControlToValidate="tbFrom" ErrorMessage="<%$ Resources:WIRM, FromEarierThanTo %>" OnServerValidate="cvDateCompare_ServerValidate">&nbsp;</asp:CustomValidator>

</asp:Content>