<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="serversConcurrentUsage.aspx.cs" Inherits="serversConcurrentUsage" StylesheetTheme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">


    <asp:ValidationSummary ID="ValidationSummary1" runat="server" DisplayMode="List" />
    
    <table width="100%" border="0">
        <tr>
            <td><fieldset style="height: 41px;">
                    <legend><asp:Image ID="imgFilter" runat="server" ImageUrl="~/images/filter2.gif" />
                        <asp:Label ID="lblFilter" runat="server" Text="<%$ Resources:WIRM, FilterbyDateRange %>"></asp:Label></legend>
                    <asp:Label ID="lblFrom" runat="server" Text="<%$ Resources:WIRM, From %>"></asp:Label>
                        <asp:TextBox ID="tbFrom" runat="server" CssClass="tbSmall"></asp:TextBox>
                        <asp:Image ID="imgFrom" runat="server" CssClass="bdpButton" ImageUrl="~/images/calendar/button.gif" />&nbsp;
                    <asp:Label ID="lblTo" runat="server" Text="<%$ Resources:WIRM, To %>"></asp:Label>
                        <asp:TextBox ID="tbTo" runat="server" CssClass="tbSmall"></asp:TextBox>
                        <asp:Image ID="imgTo" runat="server" CssClass="bdpButton" ImageUrl="~/images/calendar/button.gif" />&nbsp;
                    <asp:Button ID="btnServerFilter" runat="server" CssClass="btnChartType" Text="<%$ Resources:WIRM, Submit %>" OnClick="btnServerFilter_Click" />
                </fieldset>
            </td>
        </tr>
    </table>
    
    
    <asp:GridView ID="gvServers" runat="server" AllowSorting="True"
        AutoGenerateColumns="False" OnSorting="gvServers_Sorting" OnRowDataBound="gvServers_RowDataBound">
        <Columns>
                <asp:BoundField DataField="object" HeaderText="<%$ Resources:WIRM, Server %>" SortExpression="object" />
                <asp:BoundField DataField="mx" HeaderText="<%$ Resources:WIRM, ConcurrentSessions %>" SortExpression="mx" />
                <asp:BoundField DataField="date" HeaderText="<%$ Resources:WIRM, Date %>" SortExpression="date" DataFormatString="{0:d}" HtmlEncode="False" />
                <asp:TemplateField>
                <HeaderTemplate>
                    <asp:LinkButton ID="lbExcelExport" runat="server" OnClick="lbExcelExport_Click"><asp:Image ID="Image1" runat="server" ImageUrl="~/images/excel.gif" AlternateText="<%$ Resources:WIRM, ExporttoExcel %>" /></asp:LinkButton>
                </HeaderTemplate>
                <HeaderStyle HorizontalAlign="Right" />
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    
    <asp:RequiredFieldValidator ID="rfvFrom" runat="server" ControlToValidate="tbFrom" ErrorMessage="<%$ Resources:WIRM, FromDateRequired %>" SetFocusOnError="True">&nbsp;</asp:RequiredFieldValidator>
    <asp:RequiredFieldValidator ID="rfvTo" runat="server" ControlToValidate="tbTo" ErrorMessage="<%$ Resources:WIRM, ToDateRequired %>" SetFocusOnError="True">&nbsp;</asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cvFromDate" runat="server" ControlToValidate="tbFrom" ErrorMessage="<%$ Resources:WIRM, FromDateInvalid %>" OnServerValidate="cvFromDate_ServerValidate" SetFocusOnError="True">&nbsp;</asp:CustomValidator>
    <asp:CustomValidator ID="cvToDate" runat="server" ControlToValidate="tbTo" ErrorMessage="<%$ Resources:WIRM, ToDateInvalid %>" OnServerValidate="cvToDate_ServerValidate" SetFocusOnError="True">&nbsp;</asp:CustomValidator>
    <asp:CustomValidator ID="cvDateCompare" runat="server" ControlToValidate="tbFrom" ErrorMessage="<%$ Resources:WIRM, FromEarierThanTo %>" OnServerValidate="cvDateCompare_ServerValidate">&nbsp;</asp:CustomValidator>

</asp:Content>

